# coding: utf-8
"""
<copyright company="Aspose" file="AnalyzeSuggestionpy.cs">
  Copyright (c) 2024 Aspose.Cells Cloud
</copyright>
<summary>
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
</summary>
"""

from pprint import pformat
from six import iteritems
import re

class AnalyzeSuggestion(object):

    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """


    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """

    swagger_types = {
        'name' : 'str',
        'filename' : 'str',
        'sheet_name' : 'str',
        'date_source_type' : 'str',
        'suggested_output_type' : 'str',
        'description' : 'str',
        'data_souce_thumbnail' : 'str',
        'thumbnail' : 'str'
    }

    attribute_map = {
        'name' : 'Name' ,
        'filename' : 'Filename' ,
        'sheet_name' : 'SheetName' ,
        'date_source_type' : 'DateSourceType' ,
        'suggested_output_type' : 'SuggestedOutputType' ,
        'description' : 'Description' ,
        'data_souce_thumbnail' : 'DataSouceThumbnail' ,
        'thumbnail' : 'Thumbnail' 
    }

    @staticmethod
    def get_swagger_types():
        return AnalyzeSuggestion.swagger_types

    @staticmethod
    def get_attribute_map():
        return AnalyzeSuggestion.attribute_map

    def get_from_container(self, attr):
        if attr in self.container:
            return self.container[attr]
        return None

    def __init__(self,name=None ,filename=None ,sheet_name=None ,date_source_type=None ,suggested_output_type=None ,description=None ,data_souce_thumbnail=None ,thumbnail=None   ,**kw):
        """
        Associative dict for storing property values
        """
        self.container = {}

        """
        AnalyzeSuggestion - a model defined in Swagger
        """
        self.container['name'] = None 
        self.container['filename'] = None 
        self.container['sheet_name'] = None 
        self.container['date_source_type'] = None 
        self.container['suggested_output_type'] = None 
        self.container['description'] = None 
        self.container['data_souce_thumbnail'] = None 
        self.container['thumbnail'] = None 
        params = locals()
        self.name = name
        if 'name' in params:
            self.name = params["name"]


             
        self.filename = filename
        if 'filename' in params:
            self.filename = params["filename"]


             
        self.sheet_name = sheet_name
        if 'sheet_name' in params:
            self.sheet_name = params["sheet_name"]


             
        self.date_source_type = date_source_type
        if 'date_source_type' in params:
            self.date_source_type = params["date_source_type"]


             
        self.suggested_output_type = suggested_output_type
        if 'suggested_output_type' in params:
            self.suggested_output_type = params["suggested_output_type"]


             
        self.description = description
        if 'description' in params:
            self.description = params["description"]


             
        self.data_souce_thumbnail = data_souce_thumbnail
        if 'data_souce_thumbnail' in params:
            self.data_souce_thumbnail = params["data_souce_thumbnail"]


             
        self.thumbnail = thumbnail
        if 'thumbnail' in params:
            self.thumbnail = params["thumbnail"]


             

    @property
    def name(self):
        return self.container['name']

    @name.setter
    def name(self, name):
        self.container['name'] = name 
    @property
    def filename(self):
        return self.container['filename']

    @filename.setter
    def filename(self, filename):
        self.container['filename'] = filename 
    @property
    def sheet_name(self):
        return self.container['sheet_name']

    @sheet_name.setter
    def sheet_name(self, sheet_name):
        self.container['sheet_name'] = sheet_name 
    @property
    def date_source_type(self):
        return self.container['date_source_type']

    @date_source_type.setter
    def date_source_type(self, date_source_type):
        self.container['date_source_type'] = date_source_type 
    @property
    def suggested_output_type(self):
        return self.container['suggested_output_type']

    @suggested_output_type.setter
    def suggested_output_type(self, suggested_output_type):
        self.container['suggested_output_type'] = suggested_output_type 
    @property
    def description(self):
        return self.container['description']

    @description.setter
    def description(self, description):
        self.container['description'] = description 
    @property
    def data_souce_thumbnail(self):
        return self.container['data_souce_thumbnail']

    @data_souce_thumbnail.setter
    def data_souce_thumbnail(self, data_souce_thumbnail):
        self.container['data_souce_thumbnail'] = data_souce_thumbnail 
    @property
    def thumbnail(self):
        return self.container['thumbnail']

    @thumbnail.setter
    def thumbnail(self, thumbnail):
        self.container['thumbnail'] = thumbnail 

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.get_swagger_types()):
            value = self.get_from_container(attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, AnalyzeSuggestion):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other    